#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    int n = A.size();
    vector<int> v(n);
    for(int i = 0; i < n; i++) {
        v[i] = i;
    }
    swap(v[0], v[n-1]);
    return v;
}
